<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <style>
        body {
            font-family: 'Times New Roman', serif;
            font-size: 13px;
        }

        table {
            width: 100%;
        }

        td {
            vertical-align: top;
            font-family: 'Times New Roman', serif;
            font-size: 13px;
        }
        
        p {
        	font-family: 'Times New Roman', serif;
            font-size: 13px;
           }
        
        .embedImages {
        	width: 100%;
        	height: auto;
        	max-height: 450px;
        	margin: 0 auto;
        }

        .medicalRecordItem {
            break-inside: avoid;
            page-break-inside: avoid;
            widows: 0;
            orphans: 0;
        }
    </style>
</head>

<body>
    <div>
        <table>
            <tbody>
                <tr>
                    <td><img width="200" th:src="${logo} == null ? _ : @{'data:image/png;base64,'+${logo}}"></td>
                    <td style="text-align: right; vertical-align: bottom;">
                        1202 Budapest, Ipolyság u. 2.<br />
                        info@erzsebetvet.hu<br />
                        +36/1-283-8540
						<br />+36/20-326-2658
                    </td>
                </tr>
            </tbody>
        </table>
        <br/>
        <table>
            <tbody>
                <tr>
                    <td>
                        Állat adatai:
                        <hr style="margin-top: 0px" />
                        <span th:text="${animal.name}" /> - <span th:text="${animal.breed.species.speciesName}" /> <span
                            th:text="${animal.breed.breedName}" /><br />
                        <table>
                            <tbody>
                                <tr>
                                    <td>Születési dátum:</td>
                                    <td th:text="${#temporals.format(animal.birthDate, 'yyyy. MM. dd.')}" />
                                </tr>
                                <tr>
                                    <td>Ivar:</td>
                                    <td th:text="${animal.sex.sexName}" />
                                </tr>
                                <tr>
                                    <td>Ivartalanítva:</td>
                                    <td th:text="${animal.isSpayed} ? 'igen' : 'nem'" />
                                </tr>
                                <tr>
                                    <td>Ivartalanítás időpontja:</td>
                                    <td th:text="${#temporals.format(animal.dateOfSpaying, 'yyyy. MM. dd.')}" />
                                </tr>
                                <tr>
                                    <td>Szín:</td>
                                    <td th:text="${animal.color} ? ${animal.color.colorName} : ''" />
                                </tr>
                                <tr>
                                    <td>Chipszám:</td>
                                    <td th:text="${animal.idOfMicrochip}" />
                                </tr>
                                <tr>
                                    <td>Oltási könyv száma:</td>
                                    <td th:text="${animal.idOfVaccinationBook}" />
                                </tr>
                                <tr>
                                    <td>Útlevél száma:</td>
                                    <td th:text="${animal.passportId}" />
                                </tr>
                                <tr>
                                    <td>Törzskönyv száma:</td>
                                    <td th:text="${animal.pedigree}" />
                                </tr>
                            </tbody>
                        </table>
                    </td>
                    <td>
                        Tulajdonos adatai:
                        <hr style="margin-top: 0px" />
                        <span th:text="${owner.name}" /> <br />
                        <table>
                            <tbody>
                                <tr>
                                    <td>Cím:</td>
                                    <td><span th:text="${owner.zipCode}" /> <span th:text="${owner.city}" />, <span
                                            th:text="${owner.address}" /></td>
                                </tr>
                                <tr>
                                    <td>Mobil:</td>
                                    <td th:text="${owner.mobileNumber}" />
                                </tr>
                                <tr>
                                    <td>Telefon:</td>
                                    <td th:text="${owner.phoneNumber}" />
                                </tr>
                                <tr>
                                    <td>Email:</td>
                                    <td th:text="${owner.email}" />
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
            </tbody>
        </table>
        <p>
            Kórelőzmény:
        </p>
        <div th:each="medicalRecord: ${medicalRecords}">
           <div class="medicalRecordItem">
            <p th:text="${#temporals.format(medicalRecord.sessionDate, 'yyyy. MM. dd. HH:mm')}"
                style="margin-bottom: 0px" />
            <hr style="margin-top: 0px" />
            <p style="white-space: pre-line" th:text="${medicalRecord.vaccinationName}" />
            <p style="white-space: pre-line" th:text="${medicalRecord.anamnesis}" />
            <p style="white-space: pre-line" th:text="${medicalRecord.symptoms}" />
            <p style="white-space: pre-line" th:text="${medicalRecord.therapy}" />
            <p style="white-space: pre-line" th:text="${medicalRecord.otherDetails}" />
           </div>
           <p th:each="image: ${medicalRecord.imageStrings}">
            	<img class="embedImages" th:src="${image} == null ? _ : @{'data:image/png;base64,'+${image}}">
           </p>
        </div>
    </div>
</body>

</html>